|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QVBoxWidget Class Reference

The QVBoxWidget widget provides vertical geometry management of its child widgets. More...

    #include <QVBoxWidget>

Part of the QtGui module.

Inherits QHBoxWidget.

- List of all members, including inherited members
- Qt 3 support members

### Public Functions

- QVBoxWidget ( QWidget * parent = 0, Qt::WFlags f = 0 )

- 3 public functions inherited from QHBoxWidget
- 13 public functions inherited from QFrame
- 182 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 11 public functions inherited from QPaintDevice

### Additional Inherited Members

- 6 properties inherited from QFrame
- 51 properties inherited from QWidget
- 1 property inherited from QObject
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QVBoxWidget widget provides vertical geometry management of its child widgets.

All its child widgets will be placed vertically and sized according to their sizeHint()s. If you just need a layout (not a widget) use QVBoxLayout instead.

See also QHBoxWidget and QGridWidget.

## Member Function Documentation

### QVBoxWidget::QVBoxWidget ( QWidget * parent = 0, Qt::WFlags f = 0 )

Constructs a vbox widget with parent parent and widget flags f.